CandidateListCompletionHandler (Grails 6.0.0)

Package: org.grails.build.interactive

## [Java] Class CandidateListCompletionHandler

- org.grails.build.interactive.CandidateListCompletionHandler

- All Implemented Interfaces and Traits:
    jline.console.completer.CompletionHandler

      public class CandidateListCompletionHandler
      extends java.lang.Object
      implements jline.console.completer.CompletionHandler

  Fixes issues with the default CandidateListCompletionHandler such as clearing out the whole buffer when a completion matches a list of candidates

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private boolean` | `eagerNewlines` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `complete(jline.console.ConsoleReader reader, java.util.List<java.lang.CharSequence> candidates, int pos)`
    `` | `private final java.lang.String` | `getUnambiguousCompletions(java.util.List<?> candidates)` Returns a root that matches all the java.lang.String elements of the specified java.util.List, or null if there are no commalities.
    `` | `public void` | `setAlwaysIncludeNewline(boolean eagerNewlines)`
    `` | `private final boolean` | `startsWith(java.lang.String starts, java.lang.String[] candidates)` Returns: true is all the elements of candidates start with starts

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private boolean eagerNewlines

  - ### Method Detail

    - #### public boolean complete(jline.console.ConsoleReader reader, @java.lang.SuppressWarnings("rawtypes") java.util.List<java.lang.CharSequence> candidates, int pos)

    - #### private final java.lang.String getUnambiguousCompletions(java.util.List<?> candidates)

      Returns a root that matches all the java.lang.String elements of the specified java.util.List, or null if there are no commalities. For example, if the list contains foobar, foobaz, foobuz, the method will return foob.

    - #### public void setAlwaysIncludeNewline(boolean eagerNewlines)

    - #### private final boolean startsWith(java.lang.String starts, java.lang.String[] candidates)

      Returns:
        true is all the elements of candidates start with starts